<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <include
            android:id="@+id/toolbar"
            layout="@layout/include_toolbar_center_no_statusbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/nestedScrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fillViewport="true">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:clickable="true"
                android:fitsSystemWindows="true"
                android:focusable="true"
                android:focusableInTouchMode="true">

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/leftGuideLine"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent=".05" />

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/rightGuideLine"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent=".95" />

                <com.appetiser.module.common.widget.RxImageView
                    android:id="@+id/ivAttachment"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    app:layout_constraintDimensionRatio="w,1:1"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/ic_create_post_placeholder" />

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/etDescription"
                    style="@style/BaseEditText"
                    android:layout_width="0dp"
                    android:layout_height="120dp"
                    android:layout_marginTop="16dp"
                    android:fontFamily="@font/inter_regular"
                    android:gravity="start|top"
                    android:hint="@string/add_description"
                    android:imeOptions="actionDone"
                    android:textColor="@color/black"
                    android:textColorHint="@color/black_30"
                    android:textSize="17sp"
                    app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
                    app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
                    app:layout_constraintTop_toBottomOf="@+id/ivAttachment" />

                <androidx.appcompat.widget.AppCompatButton
                    android:id="@+id/btnShare"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:alpha=".3"
                    android:background="@drawable/btn_rounded_gradiant"
                    android:enabled="false"
                    android:fontFamily="@font/inter_medium"
                    android:gravity="center"
                    android:text="@string/share"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
                    app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
                    app:layout_constraintTop_toBottomOf="@+id/etDescription"
                    app:layout_constraintVertical_bias="1.0" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>
    </androidx.appcompat.widget.LinearLayoutCompat>


</layout>